export type CLIOptions = {
    command: string;
    options: string[];
    expression: string;
};
export type CommandOption = {
    name: string;
    flags: string[];
    description: string;
};
export type Command = {
    name: string;
    flags: string[];
    commandOptions?: CommandOption[];
    description: string;
};
export declare const usage: (nameOfExecutable: string) => string;
export declare const parseCLIOptions: (args: string[]) => CLIOptions;
export default parseCLIOptions;
